Skip to main content
GET
/
api
/
v1
/
sandbox
/
sessions
/
{session_id}
/
url
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.sandbox.getUrl({
    sessionId: "demo-python-20260316",
    sessionToken: "sandbox_test_20260316_4f9c2b1a",
    port: 8003,
  });

  console.log(result);
}

run();
{
  "session_id": "demo-python-20260316",
  "url": "http://10.0.3.19:8010/v1/sandboxes/demo-python-20260316"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

session_id
string
required

Query Parameters

session_token
string
required
port
integer | null

Response

Successful Response

session_id
string
required
url
string
required